<?php
/*
 Newswriter v2.55
 PHP-Newsmanagement
 Copyright (C) 2000-2002 Philipp Wolfer

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the license, or
 (at your option) any later version.
 See license.txt for further information.

 article.php, last change: 30.10.2001
*/

$config_only = true;
require('./conf.php');
include($NWCONF_SYSTEM['server_path'].'include/initvars.inc'.$NWCONF_SYSTEM['php_ext']);
require($NWCONF_SYSTEM['server_path'].'include/text-in.inc'.$NWCONF_SYSTEM['php_ext']);
require($NWCONF_SYSTEM['server_path'].'include/newsindex.inc'.$NWCONF_SYSTEM['php_ext']);

if (!$article_file) {
  $all_article_files = get_filelist($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['article_dir']);
  $article_file = basename($all_article_files[0]);
}
$month_dir = strftime('%Y%m',$article_file);
$news_file = preg_replace('#\..*$#', '', $article_file);

if (isset($article_file) && is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['article_dir'].'/'.$article_file) && is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['news_dir'].'/'.$month_dir.'/'.$news_file)) {
  $header_file = '/header_article.tpl'.$NWCONF_SYSTEM['php_ext'];
  $footer_file = '/footer_article.tpl'.$NWCONF_SYSTEM['php_ext'];

  $article_data = get_filedata($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['news_dir'].'/'.$month_dir.'/'.$news_file);
  $article_data['TIME'] = strftime('%H:%M',$article_file);
  $article_data['ARTICLE_TEXT'] = get_article($article_file);

  if ($printview != '1') {
    if (is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].$header_file)) {
      include($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].$header_file);
    }
    elseif (is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.$header_file)) {
      include($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.$header_file);
    }
    if (is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/article.tpl')) {
      $tpl_article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/article.tpl');
    }
    else {
      $tpl_article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'default/article.tpl');
    }
  }
  else {
    if (is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/printview.tpl')) {
      $tpl_article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/printview.tpl');
    }
    else {
      $tpl_article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'default/printview.tpl');
    }
  }

  while(list($key,$line) = each($tpl_article)) {
    if ($article_data['TOPIC'] == 'all') {
      $line = str_replace('[--TOPIC--]',$NW_TRANSLATION['topic_all'],$line);
    }
    else {
      $line = str_replace('[--TOPIC--]',$article_data['TOPIC'],$line);
    }
    $line = str_replace('[--SUBTOPIC--]',$article_data['SUBTOPIC'],$line);
    $line = str_replace('[--TITLE--]',$article_data['TITLE'],$line);
    $line = str_replace('[--TIME--]',$article_data['TIME'],$line);
    $line = str_replace('[--DATE--]',$article_data['DATE'],$line);
    $line = str_replace('[--SHORTTEXT--]',$article_data['TEXT'],$line);
    $line = str_replace('[--LONGTEXT--]',$article_data['ARTICLE_TEXT'],$line);
    if ($article_data['CHANGEDDATE']) {
      $markchanged = str_replace('[--DATE--]',$article_data['CHANGEDDATE'],$NW_TRANSLATION['news_markchanged']);
      $markchanged = str_replace('[--AUTHOR--]',$article_data['CHANGEDBY'],$markchanged);
      $line = str_replace('[--CHANGED--]',$markchanged,$line);
    }
    else {
      $line = str_replace('[--CHANGED--]','',$line);
    }
    if ($article_data['LINK']) {
      $news_url = preg_replace('#<a href="([^"]*)".+?</a>#i','\\1',$article_data['LINK']);
      $news_lname = preg_replace('#<[^>]*>#','',$article_data['LINK']);
      if (!strstr($news_url,'http://') && !strstr($news_url,'ftp://') && strpos($news_url,'/') != 0 && strpos($news_url,'.') != 0) {
        $news_url = 'http://'.$news_url;
      }
      $link_tag = '<a href="'.$news_url.'"';
      if (strstr($article_data['LINK'],'target="_blank"')) {
        $link_tag .= ' target="_blank"';
      }
      $link_tag .= '>'.$news_lname.'</a>';
      $line = str_replace('[--LINK--]','['.$link_tag.']',$line);
    }
    else {
      $line = str_replace('[--LINK--]','',$line);
    }
    if ($article_data['IMAGE2']) {
      list($img2_url, $img2_align) = explode ('***',$article_data['IMAGE2']);
      $img_tag = '<table border="0" cellspacing="0" cellpadding="'.$NWCONF_DISPLAY['image_space'].'"';
      if ($img2_align != 'ontop') {
        $img_tag .= ' align="'.$img2_align.'"';
      }
      $img_tag .= '><tr><td align="center"><img src="'.$img2_url.'" border="0" alt="'.$article_data['TITLE'].'" vspace="0" hspace="0">';
      if ($article_data['IMAGE2TEXT']) {
        $img_tag .= '<br><span class="imgtext">'.$article_data['IMAGE2TEXT'].'</span>';
      }
      $img_tag .= '</td></tr></table>';
      if ($img2_align == 'ontop') {
        $img_tag .= '<br clear="all">';
      }
      $line = str_replace('[--IMAGE--]',$img_tag,$line);
    }
    else {
      $line = str_replace('[--IMAGE--]','',$line);
    }
    if ($article_data['URL']) {
      $line = str_replace('[--AUTHOR--]','<a href="'.$article_data['URL'].'">'.$article_data['NAME'].'</a>',$line);
    }
    elseif ($article_data['EMAIL']) {
      $line = str_replace('[--AUTHOR--]','<a href="mailto:'.$article_data['EMAIL'].'">'.$article_data['NAME'].'</a>',$line);
    }
    else {
      $line = str_replace('[--AUTHOR--]',$article_data['NAME'],$line);
    }
    if ($NWCONF_DISPLAY['enable_print']) {
      $line = str_replace('[--NAVIGATION--]','[ <a href="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file'].'?nwaction=shownews">'.$NW_TRANSLATION['nav_news'].'</a> ] [ <a href="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file'].'?nwaction=shownews&nwmode=archiv">'.$NW_TRANSLATION['nav_archiv'].'</a> ] [ <a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$article_file.'&printview=1" target="_blank">'.$NW_TRANSLATION['nav_printview'].'</a> ]',$line);
    }
    else {
      $line = str_replace('[--NAVIGATION--]','[ <a href="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file'].'?nwaction=shownews">'.$NW_TRANSLATION['nav_news'].'</a> ] [ <a href="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file'].'?nwaction=shownews&nwmode=archiv">'.$NW_TRANSLATION['nav_archiv'].'</a> ]',$line);
    }
    if (strstr($line,'[--NEWSINDEX--]')) {
      $news_count = $article_newscount;
      list($l1,$l2) = explode('[--NEWSINDEX--]',$line);
      echo $l1;
      newsindex($news_count);
      echo $l2;
    }
    else {
      echo $line;
    }
  }

  if ($printview != '1') {
    if (is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].$footer_file)) {
      include($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].$footer_file);
    }
    elseif (is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.$footer_file)) {
      include($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.$footer_file);
    }
  }
}
else {
  header ('Location: '.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file']);
}
?>