<?php
// Newswriter v2.52 03.01.2002
// Copyright (C) 2000-2002 Philipp Wolfer
// Konfigurationsdatei conf.php

// 1. VERZEICHNIS-OPTIONEN:
  // Pfade zum Newswriter-Verzeichnis (Domain- und Serverpfad!)
  // (Sollten die Standardangaben (false) nicht funktionieren,
  // muessen die Verzeichnisse hier eingetragen werden. Sie koennen
  // die Pfadangaben mit Hilfe des Scripts sysinfo.php im Verzeichnis
  // tools erfahren. Die Pfadangaben muessen in Anfuehrungszeichen stehen!)
    // z.B. $NWCONF_SYSTEM['domain_path'] = 'http://www.newswriter.org/news';
    $NWCONF_SYSTEM['domain_path'] = '';
    // z.B. $NWCONF_SYSTEM['server_path'] = '/usr/local/httpd/htdocs/newswriter'
    $NWCONF_SYSTEM['server_path'] = '';

  // PHP-Erweiterung ('.php' fuer PHP4, '.php3' fuer PHP3):
    $NWCONF_SYSTEM['php_ext'] = '.php';

  // Dateiendung fuer Artikeldateien (z.B. '.txt'):
    $NWCONF_SYSTEM['txt_ext'] = '.txt';

  // Alle folgenden Verzeichnisse/Dateien ab dem oben angegebenen
  // Newswriter-Verzeichnis angeben!
  // Newswriter Index-Datei:
    $NWCONF_SYSTEM['index_file'] = 'index'.$NWCONF_SYSTEM['php_ext'];

  // Datenverzeichnis fuer Archiv-, Artikelverzeichnis:
    $NWCONF_SYSTEM['data_dir'] = 'data';

  // Rechte fuer Datenverzeichnisse (mit vorangestellter 0,
  // Standard ist 0755, bei deaktiviertem Safe-Mode sollte
  // auch 0700 ausreichen):
    $NWCONF_SYSTEM['diraccess'] = 0755;

  // Programmmmeldungen anzeigen/nicht anzeigen (true/false):
    $NWCONF_SYSTEM['prog_messages'] = true;


// 2. ANZEIGE-OPTIONEN:
  // Verwendete Sprache (Standard: 'german'):
    $NWCONF_DISPLAY['language'] = 'german';

  // Maximaler Zeiraum in Tagen,
  // fuer den Nachrichten noch angezeigt werden
  // (der Wert 0 deaktiviert diese Funktion):
    $NWCONF_DISPLAY['max_days'] = 7;

  // Anzahl der mindestens angezeigten Nachrichten:
    $NWCONF_DISPLAY['min_shownews'] = 6;

  // Anzahl der hoechstens angezeigten Nachrichten:
    $NWCONF_DISPLAY['max_shownews'] = 8;

  // Anzahl der Spalten:
    $NWCONF_DISPLAY['max_cols'] = 2;

  // Tabellenbreite in Pixel oder Prozent
  // (Prozentangaben in Anfuehrungszeichen und
  // mit abschliessendem Prozentzeichen angeben):
    $NWCONF_DISPLAY['table_width'] = 560;

  // Abstand zwischen Text und Grafiken in Pixeln:
    $NWCONF_DISPLAY['image_space'] = 6;

  // Link zum Drucken von Artikeln anzeigen/verbergen (true/false):
    $NWCONF_DISPLAY['enable_print'] = true;

  // Zeitverschiebung (Differenz von Server- zu gewuenschter
  // Lokalzeit in Stunden):
    $NWCONF_DISPLAY['time_zone'] = 0;

  // Datumsformat (Standard: dd.mm.yyyy):
    $NWCONF_DISPLAY['date_fmt'] = '%d.%m.%Y';
    // ACHTUNG: Diese Funktion ist nicht vollstaendig
    // implementiert und wurde nicht getestet. Ich
    // rate davon ab, das Datumsformat zu aendern.


// 3. NACHRICHTEN-OPTIONEN:
  // Liste der Rubriken:
    $NWCONF_INTERFACE['topic_list'] = array('all', 'Newswriter Info', 'anderes Thema');

  // Angabe von Unterrubriken moeglich/nicht moeglich (true/false):
    $NWCONF_INTERFACE['enable_subtopics'] = true;

  // Maximale Zeichenlaenge des Titels (0 bedeutet unbegrenzt):
    $NWCONF_INTERFACE['max_title_length'] = 24;

  // Maximale Zeichenlaenge des Einfuehrungstextes (0 bedeutet unbegrenzt):
    $NWCONF_INTERFACE['max_text_length'] = 300;

  // URLs automatisch in Link umwandeln (true/false):
    $NWCONF_INTERFACE['make_links'] = true;

  // Einfuegen von Bildern erlauben/verbieten (true/false):
    $NWCONF_INTERFACE['allow_images'] = true;

  // Bilder-Upload erlauben/verbieten (true/false):
    $NWCONF_INTERFACE['allow_imgupload'] = true;

  // Maximale Bildgroesse in KB:
    $NWCONF_INTERFACE['img_maxsize'] = 40;

  // Erlaubte Mime-Typen fuer Bilder-Upload:
    $NWCONF_INTERFACE['img_types'] = array('image/png', 'image/jpeg', 'image/gif', 'image/pjpeg');

  // HTML-Tags in News erlauben/verbieten (true/false):
    $NWCONF_INTERFACE['allow_html'] = true;

  // BBCode in News erlauben/verbieten (true/false):
    $NWCONF_INTERFACE['allow_bbcode'] = true;

  // HTML-Tags, die im Edit-Bereich ueber Links eingefuegt werden koennen:
  // ($NWCONF_INTERFACE['allow_html'] = true; muss gesetzt sein!)
    $NWCONF_INTERFACE['easy_tags'] = array(
      'Absatz'        => '<p>neuer Absatz</p>',
      'Fett'          => '<b>fetter text</b>',
      'Kursiv'        => '<i>kursiver text</i>',
      'Liste'         => '<ul><li>Eintrag 1</li><li>Eintrag 2</li></ul>',
      'Link'          => '<a href="http://url" target="_blank">Linkname</a>',
      'Bild'          => '<img src="Bild-URL" border="0">'
    );

  // Zeilenumbrueche automatisch in <br>-Tags umwandeln/nicht umwandeln (true/false):
    $NWCONF_INTERFACE['auto_br'] = true;

  // Link zum Login anzeigen/verbergen (true/false):
    $NWCONF_INTERFACE['show_login'] = true;

  // Lebensdauer des Login-Cookies in Sekunden
  // (Standard 2592000, entspricht 30 Tagen; 0 deaktiviert die Cookie-Funktion):
    $NWCONF_INTERFACE['logincookie_time'] = 2592000;

  // Admin kann Nachrichtendatum aendern (true/false):
    $NWCONF_INTERFACE['change_date'] = true;

  // Admin wird ueber neue Beitraege benachrichtigt (true/false):
    $NWCONF_INTERFACE['admin_infomail'] = true;


// 4. BENUTZER-OPTIONEN:
  // Jeder Benutzer erhaelt eine ID, der jeweils ein Passwort,
  // ein Namem, eine eMail-Adresse und optional eine URL zugeordnet
  // wird. Wenn eine URL angegeben wurde, wird diese statt der E-Mail
  // mit dem Namen des Autors verlinkt.

  // Geben Sie hier die Benutzerinformationen fuer jeden Benutzer
  // in folgender Reihenfolge an:
  // array('BENUTZERNAME', 'PASSWORT', 'ECHTER NAME', 'EMAIL', 'HOMEPAGE-URL')
  // Die Homepage URL ist optional.

    $NWCONF_USERS['alluser'] = array(
      array('admin', 'admin', 'Administrator', 'admin@domain.com'),
      array('user1', 'banane', 'Otto', 'otto@www.ottomania.de', 'www.ottomania.de'),
    );

  // Verschluesselte/unverschluesselte Passwoerter benutzen (true/false):
  // (verwenden Sie das Script cryptit.php im Verzeichnis tools
  // um verschluesselte Passwoerter zu erzeugen)
    $NWCONF_USERS['encrypted_passwords'] = false;

  // Admin (jeder Admin kann alle Beitraege bearbeiten und loeschen,
  // nicht nur die eigenen, und das Datum von Nachrichten aendern,
  // falls mit $NWCONF_INTERFACE['change_date'] = true erlaubt):
    $NWCONF_USERS['admins'] = array('admin');

// 5. NEWSINDEX-OPTIONEN:
  // Datum im Newsindex anzeigen/verbergen (true/false):
   $NWCONF_INDEX['index_showdate'] = true;

  // Datumsformat im Newsindex (siehe PHP-Dokumentation fuer Details):
   $NWCONF_INDEX['index_datefmt'] = '%d.%m.%y';

  // Anzahl der angezeigten Nachrichten (Standard ist 10):
   $NWCONF_INDEX['article_newscount'] = 10;

  // Link-Ziel fuer Newsindexlinks (z.B. fuer Einsatz in Frames):
   $NWCONF_INDEX['link_target'] = '_self';

/////////////////////////////////
// AB HIER NICHTS MEHR AENDERN!
if (!$NWCONF_SYSTEM['server_path']) {
  if (isset($HTTP_SERVER_VARS['PATH_TRANSLATED']))
    $NWCONF_SYSTEM['server_path'] = dirname($HTTP_SERVER_VARS['PATH_TRANSLATED']);
  else
    $NWCONF_SYSTEM['server_path'] = dirname($PATH_TRANSLATED);
}
if (strrpos($NWCONF_SYSTEM['server_path'],'/') != strlen($NWCONF_SYSTEM['server_path']) - 1)
  $NWCONF_SYSTEM['server_path'] = $NWCONF_SYSTEM['server_path'].'/';
if (!isset($config_only))
  include($NWCONF_SYSTEM['server_path'].'include/main.inc'.$NWCONF_SYSTEM['php_ext']);
?>