<?php
/*
 Newswriter v2.55
 PHP Newsmanagement System
 Copyright (C) 2000-2002 Philipp Wolfer

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the license, or
 (at your option) any later version.
 See license.txt for further information.

 main.inc.php, last change: 03.01.2002

 Newswriter main file, loading pages depending on $NW_RUNTIME['nwmode'] and $NW_RUNTIME['nwaction']
*/

// getting the script's start time for calculating the overall execution time.
$NW_RUNTIME['starttime'] = microtime();

require($NWCONF_SYSTEM['server_path'].'include/text-in.inc'.$NWCONF_SYSTEM['php_ext']);
require($NWCONF_SYSTEM['server_path'].'include/initvars.inc'.$NWCONF_SYSTEM['php_ext']);
require($NWCONF_SYSTEM['server_path'].'include/userfunc.inc'.$NWCONF_SYSTEM['php_ext']);
require($NWCONF_SYSTEM['server_path'].'include/checkpass.inc'.$NWCONF_SYSTEM['php_ext']);
require($NWCONF_SYSTEM['server_path'].'include/newsindex.inc'.$NWCONF_SYSTEM['php_ext']);

// je nach Modus richtige Kopfzeile ausgeben:
function print_nav()
{
  global $NW_RUNTIME, $NWCONF_SYSTEM, $NWCONF_INTERFACE, $NW_TRANSLATION;

  if($NW_RUNTIME['nwmode'] == 'edit') {
    $template_file = 'admin/nav_admin.tpl';
  }
  elseif($NW_RUNTIME['nwmode'] == 'archiv') {
    if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].$NW_RUNTIME['showtopic'].'/nav_archiv.tpl'))
      $template_file = $NW_RUNTIME['showtopic'].'/nav_archiv.tpl';
    else
      $template_file = 'default/nav_archiv.tpl';
  }
  else {
    if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].$NW_RUNTIME['showtopic'].'/nav_newspage.tpl'))
      $template_file = $NW_RUNTIME['showtopic'].'/nav_newspage.tpl';
    else
      $template_file = 'default/nav_newspage.tpl';
  }

  if(($NW_RUNTIME['nwaction'] == 'shownews' && ($NW_RUNTIME['nwmode'] != 'edit' && $NW_RUNTIME['nwmode'] != 'archiv')) || (!$NW_RUNTIME['nwaction'] && !$NW_RUNTIME['nwmode'])) {
    $titel = $NW_TRANSLATION['header_news'];
    $links = '[ <a href="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file'].'?nwaction=shownews&nwmode=archiv&showtopic='.$NW_RUNTIME['showtopic'].'">'.$NW_TRANSLATION['nav_archiv'].'</a> ]';
  }
  elseif($NW_RUNTIME['nwaction'] == 'shownews' && $NW_RUNTIME['nwmode'] == 'archiv') {
    $titel = $NW_TRANSLATION['header_archiv'];
    $links = '[ <a href="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file'].'?nwaction=shownews&showtopic='.$NW_RUNTIME['showtopic'].'">'.$NW_TRANSLATION['nav_news'].'</a> ]';
  }
  elseif(($NW_RUNTIME['nwaction'] == 'new') && $NW_RUNTIME['nwmode'] == 'edit') {
    $titel = $NW_TRANSLATION['header_admin_create'];
    $links = '[ <a href="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file'].'?nwaction=shownews">'.$NW_TRANSLATION['nav_news'].'</a> ] [ <a href="'.$NWCONF_SYSTEM['domain_path'].'admin'.$NWCONF_SYSTEM['php_ext'].'?nwaction=shownews&nwmode=edit&nwlogin='.$NW_RUNTIME['nwlogin'].'&nwpassword='.$NW_RUNTIME['nwpassword'].'">'.$NW_TRANSLATION['nav_admin_edit'].'</a> ]';
  }
  elseif(($NW_RUNTIME['nwaction'] == 'shownews' || $NW_RUNTIME['nwaction'] == 'adnews' || $NW_RUNTIME['nwaction'] == 'delnews') && $NW_RUNTIME['nwmode'] == 'edit') {
    $titel = $NW_TRANSLATION['header_admin_edit'];
    $links = '[ <a href="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file'].'?nwaction=shownews">'.$NW_TRANSLATION['nav_news'].'</a> ] [ <a href="'.$NWCONF_SYSTEM['domain_path'].'admin'.$NWCONF_SYSTEM['php_ext'].'?nwaction=new&nwmode=edit&nwlogin='.$NW_RUNTIME['nwlogin'].'&nwpassword='.$NW_RUNTIME['nwpassword'].'">'.$NW_TRANSLATION['nav_admin_create'].'</a> ]';
  }
  elseif(($NW_RUNTIME['nwaction'] == 'edit' || $NW_RUNTIME['nwaction'] == 'upload') && $NW_RUNTIME['nwmode'] == 'edit') {
    $titel = $NW_TRANSLATION['header_admin_edit'];
    $links = '[ <a href="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file'].'?nwaction=shownews">'.$NW_TRANSLATION['nav_news'].'</a> ] [ <a href="'.$NWCONF_SYSTEM['domain_path'].'admin'.$NWCONF_SYSTEM['php_ext'].'?nwaction=shownews&nwmode=edit&nwlogin='.$NW_RUNTIME['nwlogin'].'&nwpassword='.$NW_RUNTIME['nwpassword'].'">'.$NW_TRANSLATION['nav_admin_edit'].'</a> ] [ <a href="'.$NWCONF_SYSTEM['domain_path'].'admin'.$NWCONF_SYSTEM['php_ext'].'?nwaction=new&nwmode=edit&nwlogin='.$NW_RUNTIME['nwlogin'].'&nwpassword='.$NW_RUNTIME['nwpassword'].'">'.$NW_TRANSLATION['nav_admin_create'].'</a> ]';
  }
  if ($NWCONF_INTERFACE['show_onlinehelp'] && $NW_RUNTIME['nwmode'] == 'edit')
    $links .= ' [<a href="javascript:openHelp()" style="cursor:help">'.$NW_TRANSLATION['help'] .'</a>]';
  elseif ($NWCONF_INTERFACE['show_login'] && $NW_RUNTIME['nwmode'] != 'edit')
    $links .= ' [ <a href="'.$NWCONF_SYSTEM['domain_path'].'login'.$NWCONF_SYSTEM['php_ext'].'">'.$NW_TRANSLATION['login'] .'</a> ]';
  if ($NW_RUNTIME['showtopic'])
    $topic = $NW_RUNTIME['showtopic'];
  else
    $topic = '';

  $head = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].$template_file);
  while(list($key,$line) = each($head)) {
    $line = str_replace('[--TITLE--]',$titel,$line);
    $line = str_replace('[--NAVIGATION--]',$links,$line);
    $line = str_replace('[--TOPIC--]',$topic,$line);
    echo $line;
  }
}

// Newspage anzeigen:
function newswriter()
{
  global $NW_RUNTIME, $NWCONF_SYSTEM, $NWCONF_DISPLAY, $NW_INCLUDED, $NW_MESSAGES;

  if (!$NW_INCLUDED['showfunc.inc']) {
    $NW_INCLUDED['showfunc.inc'] = true;
    include($NWCONF_SYSTEM['server_path'].'include/showfunc.inc'.$NWCONF_SYSTEM['php_ext']);
  }

  print_nav();
  if (isset($NW_MESSAGES['setup']) && $NWCONF_SYSTEM['prog_messages']) {
    echo '<p><table border="0" cellspacing="0" cellpadding="1" align="center" width="80%" bgcolor="#000000"><tr><td><table border="0" width="100%" cellspacing="0" cellpadding="2"><tr><td bgcolor="#CEEFFF">';
    echo $NW_MESSAGES['setup'];
    echo '</td></tr></table></td></tr></table><br>';
  }
  if ($NW_RUNTIME['nwmode'] == 'edit' && $NW_RUNTIME['correct_login']) {
    if ($NW_RUNTIME['nwaction'] == 'upload') {
      if (!$NW_INCLUDED['upload.inc']) {
        $NW_INCLUDED['upload.inc'] = true;
        include($NWCONF_SYSTEM['server_path'].'include/upload.inc'.$NWCONF_SYSTEM['php_ext']);
      }
      upload_images();
      $NW_RUNTIME['nwaction'] = 'new';
    }
    if (!$NW_INCLUDED['editfunc.inc']) {
      $NW_INCLUDED['editfunc.inc'] = true;
      include($NWCONF_SYSTEM['server_path'].'include/editfunc.inc'.$NWCONF_SYSTEM['php_ext']);
    }
    show_edit();
  }
  /*elseif ($NW_RUNTIME['nwmode'] == 'config' && $NW_RUNTIME['correct_login'] && $NW_RUNTIME['admin_mode']) {
    if (!$NW_INCLUDED['config.inc']) {
      $NW_INCLUDED['config.inc'] = true;
      include($NWCONF_SYSTEM['server_path'].'include/config.inc'.$NWCONF_SYSTEM['php_ext']);
    }
  } */
  elseif (($NW_RUNTIME['nwaction'] == 'shownews' && $NW_RUNTIME['nwmode'] != 'edit') || (!$NW_RUNTIME['nwmode'] && !$NW_RUNTIME['nwaction'])) {
    show_news();
  }
}
?>