<?php
/*
 Newswriter v2.55
 PHP-Newsmanagement
 Copyright (C) 2000-2002 Philipp Wolfer

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the license, or
 (at your option) any later version.
 See license.txt for further information.

 showfunc.inc.php, last change: 05.01.2002

 Functions used by newswriter in edit- and in show-mode:
  * show_news()                      (line 21)
  * print_news(array file_entries)   (line 236)
*/

// Newspage / News-Archiv ausgeben:
function show_news()
{
  global $NW_RUNTIME, $NWCONF_SYSTEM, $NWCONF_DISPLAY, $NWCONF_INTERFACE, $NWCONF_USERS, $NW_TRANSLATION;

  $max_secs = $NWCONF_DISPLAY['max_days'] * 86400;
  $new = true;

  $dir_list = get_filelist($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['news_dir']);

  if ($NW_RUNTIME['nwmode'] && $NW_RUNTIME['nwmode'] != 'view') {
    $month_names = array('01' => $NW_TRANSLATION['month_01'],
                         '02' => $NW_TRANSLATION['month_02'],
                         '03' => $NW_TRANSLATION['month_03'],
                         '04' => $NW_TRANSLATION['month_04'],
                         '05' => $NW_TRANSLATION['month_05'],
                         '06' => $NW_TRANSLATION['month_06'],
                         '07' => $NW_TRANSLATION['month_07'],
                         '08' => $NW_TRANSLATION['month_08'],
                         '09' => $NW_TRANSLATION['month_09'],
                         '10' => $NW_TRANSLATION['month_10'],
                         '11' => $NW_TRANSLATION['month_11'],
                         '12' => $NW_TRANSLATION['month_12']);

    if ($dir_list) {
      $first_month = array(substr($dir_list[0], strlen($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['news_dir']) + 5), substr($dir_list[0],strlen($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['news_dir']) + 1, 4));
      $last_month = array(substr($dir_list[sizeof($dir_list) - 1], strlen($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['news_dir']) + 5), substr($dir_list[sizeof($dir_list) - 1],strlen($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['news_dir']) + 1, 4));
    }
    else {
      $first_month[0] = strftime('%m',$NW_RUNTIME['act_timestamp']);
      $first_month[1] = strftime('%Y',$NW_RUNTIME['act_timestamp']);
      $last_month[0] = $first_month[0];
      $last_month[1] = $first_month[1];
    }
    $amonth = $first_month[0];
    $ayear = $first_month[1];

    if (!$NW_RUNTIME['newsmonth'] && $dir_list) {
      if (@is_dir($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['news_dir'].'/'.strftime('%Y%m',$NW_RUNTIME['act_timestamp'])))
        $NW_RUNTIME['newsmonth'] = strftime('%Y%m',$NW_RUNTIME['act_timestamp']);
      else
        $NW_RUNTIME['newsmonth'] = $ayear.$amonth;
    }

    if (!$NW_RUNTIME['newsmonth']) {
      if (is_array($dir_list))
        $file_list = get_filelist($dir_list[0]);
      $NW_RUNTIME['newsmonth'] = $ayear.$amonth;
    }
    else {
      if (is_array($dir_list)) {
        while((list($key,$month) = each($dir_list)) && $new) {
          if(basename($month) == $NW_RUNTIME['newsmonth']) {
            $file_list = get_filelist($month);
            $new = false;
          }
        }
      }
      $new = true;
    }
    if ($file_list) {
      while((list($key,$file) = each($file_list)) && $new) {
        $file_name = basename($file);
        if ($NW_RUNTIME['nwmode'] && $NW_RUNTIME['nwmode'] != 'view') {
          $file_entries = get_filedata($file);
          if (!$NW_RUNTIME['showtopic'] || $NW_RUNTIME['showtopic'] == 'all' || $NW_RUNTIME['showtopic'] == $file_entries['TOPIC'] || $NW_RUNTIME['nwmode'] == 'edit') {
            if ($NW_RUNTIME['nwmode'] != 'edit' || ($NW_RUNTIME['nwmode'] == 'edit' && ($NW_RUNTIME['admin_mode'] || $file_entries['NAME'] == $NWCONF_USERS['realname'][$NW_RUNTIME['nwlogin']]))) {
              if ((!$file_entries['STARTDATE'] || $file_entries['STARTDATE'] <=  $NW_RUNTIME['act_timestamp']) || $NW_RUNTIME['nwmode'] == 'edit')
                $file_content[] = $file_entries;
            }
          }
        }
      }
    }

    echo '<br><br><form action="'.$NWCONF_SYSTEM['domain_path'];
    if ($NW_RUNTIME['nwmode'] == 'edit')
      echo 'admin'.$NWCONF_SYSTEM['php_ext'];
    else
      echo $NWCONF_SYSTEM['index_file'];
    echo "\" method=\"post\">\n";
    echo "<input type=\"hidden\" name=\"nwaction\" value=\"shownews\">\n";
    echo '<input type="hidden" name="nwmode" value="'.$NW_RUNTIME['nwmode']."\">\n";
    echo '<input type="hidden" name="showtopic" value="'.$NW_RUNTIME['showtopic']."\">\n";
    if ($NW_RUNTIME['nwmode'] == 'edit') {
      echo "<input type=\"hidden\" name=\"nwpassword\" value=\"".$NW_RUNTIME['nwpassword']."\">\n";
      echo "<input type=\"hidden\" name=\"nwlogin\" value=\"".$NW_RUNTIME['nwlogin']."\">\n";
    }
    echo "<table boder=\"0\" align=\"left\"><tr><td>\n";
    echo '<b>'.$NW_TRANSLATION['archiv_displayperiod'].'</b><br>';
    echo '<select name="newsmonth" size="1" onchange="javascript:location.href = \''.$NWCONF_SYSTEM['domain_path'];
    if ($NW_RUNTIME['nwmode'] == 'edit')
      echo 'admin'.$NWCONF_SYSTEM['php_ext'];
    else
      echo $NWCONF_SYSTEM['index_file'];
    echo '?nwaction=shownews&nwmode='.$NW_RUNTIME['nwmode'].'&nwpassword='.$NW_RUNTIME['nwpassword'].'&nwlogin='.$NW_RUNTIME['nwlogin'].'&showtopic='.$NW_RUNTIME['showtopic']."&newsmonth=' + this.form.newsmonth.options[this.form.newsmonth.selectedIndex].value;\">\n";

    while($ayear >= $last_month[1]) {
      echo "<option value=\"$ayear$amonth\"";
      if($ayear.$amonth == $NW_RUNTIME['newsmonth'])
        echo ' selected';
      echo ">$month_names[$amonth] $ayear</option>\n";
      if ($amonth == $last_month[0] && $ayear == $last_month[1])
        $ayear = $last_month[1] - 1;
      $amonth--;
      if ($amonth == 0) {
        $amonth = 12;
        $ayear--;
      }
      if ($amonth < 10)
        $amonth = '0'.$amonth;
    }

    echo "</select>\n";
    echo '&nbsp;&nbsp;<input type="image" src="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['picture_dir'].'akt.gif" border="0">';
    echo "</td></tr></table>\n";
    echo "</form>\n";

    if ($NW_RUNTIME['nwmode'] == 'edit') {
      echo "<form action=\"".$NWCONF_SYSTEM['domain_path']."admin".$NWCONF_SYSTEM['php_ext']."\" method=\"post\">\n";
      echo "<input type=\"hidden\" name=\"nwmode\" value=\"edit\">\n";
      echo "<input type=\"hidden\" name=\"nwaction\" value=\"edit\">\n";
      echo "<input type=\"hidden\" name=\"nwpassword\" value=\"".$NW_RUNTIME['nwpassword']."\">\n";
      echo "<input type=\"hidden\" name=\"nwlogin\" value=\"".$NW_RUNTIME['nwlogin']."\">\n";
      echo '<br><center><input type="submit" size="35" maxlength="60" value="'.$NW_TRANSLATION['edit_editchosennews'].'"></center>';
    }
    echo '<br clear="all">';
  }
  else {
    $count_months = ceil($NWCONF_DISPLAY['max_days'] / 30) - 1;
    if ($count_months < 0)
      $count_months = 0;
    for($i = 0; $i <= $count_months; $i++) {
      if (is_array($dir_list))
        $adfiles = get_filelist($dir_list[$i]);
      if ($adfiles) {
        while (list($key, $file) = each($adfiles)) {
          if(($NW_RUNTIME['act_timestamp'] - basename($file) <= $max_secs || sizeof($file_content) < $NWCONF_DISPLAY['min_shownews']) && sizeof($file_content) < $NWCONF_DISPLAY['max_shownews']) {
            $file_entries = get_filedata($file);
            if (!$NW_RUNTIME['showtopic'] || $NW_RUNTIME['showtopic'] == 'all' || $NW_RUNTIME['showtopic'] == $file_entries['TOPIC']) {
              if ((!$file_entries['EXPIRE'] || $file_entries['EXPIRE'] >= $NW_RUNTIME['act_timestamp']) && (!$file_entries['STARTDATE'] || $file_entries['STARTDATE'] <=  $NW_RUNTIME['act_timestamp']))
                $file_content[] = $file_entries;
            }
          }
        }
      }
      if ($i == $count_months && sizeof($file_content) < $NWCONF_DISPLAY['min_shownews'] && is_array($dir_list)) {
        for($count = $i + 1; sizeof($file_content) < $NWCONF_DISPLAY['min_shownews'] && $dir_list[$count]; $count++) {
          $adfiles = get_filelist($dir_list[$count]);
          if ($adfiles)
          {
            while(list($key,$file) = each($adfiles)) {
              if(($NW_RUNTIME['act_timestamp'] - basename($file) <= $max_secs || sizeof($file_content) < $NWCONF_DISPLAY['min_shownews']) && sizeof($file_content) < $NWCONF_DISPLAY['max_shownews']) {
                $file_entries = get_filedata($file);
                if (!$NW_RUNTIME['showtopic'] || $NW_RUNTIME['showtopic'] == 'all' || $NW_RUNTIME['showtopic'] == $file_entries['TOPIC']) {
                  if ((!$file_entries['EXPIRE'] || $file_entries['EXPIRE'] >= $NW_RUNTIME['act_timestamp']) && (!$file_entries['STARTDATE'] || $file_entries['STARTDATE'] <=  $NW_RUNTIME['act_timestamp']))
                    $file_content[] = $file_entries;
                }
              }
            }
          }
        }
      }
    }
  }

  echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"4\"><tr>\n";
  if ($dir_list && $file_content) {
    for($col = 0; $col < $NWCONF_DISPLAY['max_cols']; $col++) {

      if (!strstr($NWCONF_DISPLAY['table_width'],'%'))
        $tw = $NWCONF_DISPLAY['table_width'];
      else
        $tw = 100;
      if($col < $NWCONF_DISPLAY['max_cols'] - 1)
        $col_width = floor($tw / $NWCONF_DISPLAY['max_cols']);
      else
        $col_width = ceil($tw / $NWCONF_DISPLAY['max_cols']);
      if (strstr($NWCONF_DISPLAY['table_width'],'%'))
        $col_width .= '%';

      echo "<td width=\"$col_width\" valign=\"top\">\n";
      if(!$file_content[$col]) {
        echo '&nbsp;';
      }
      else {
        for($i = $col; $file_content[$i]; $i = $i + $NWCONF_DISPLAY['max_cols']) {
          if($NW_RUNTIME['nwmode'] == 'edit') {
            $file_entries = $file_content[$i];
            echo '<input type="radio" name="file_name" value="'.$file_entries['FILENAME'].'"';
            if($i == 0)
              echo " checked";
            echo ">";
          }
          print_news($file_content[$i]);
        }
      }
      echo "</td>\n";
    }
    echo "</tr></table>\n";
    if (!$file_content && $NW_RUNTIME['nwmode'] && $NW_RUNTIME['nwmode'] != 'view')
      echo '<p>'.$NW_TRANSLATION['noposts_month_1'].$month_names[substr($NW_RUNTIME['newsmonth'],4)].' '.substr($NW_RUNTIME['newsmonth'],0,4).$NW_TRANSLATION['noposts_month_1'].'</p>';
    elseif (!$file_content && (!$NW_RUNTIME['nwmode'] || $NW_RUNTIME['nwmode'] == 'view'))
      echo '<p>'.$NW_TRANSLATION['noposts_lastdays_1'].$NWCONF_DISPLAY['max_days'].$NW_TRANSLATION['noposts_lastdays_2'].'</p>';
    if ($NW_RUNTIME['nwmode'] == 'edit')
      echo '</form>';
  }
  elseif (!$file_content && $NW_RUNTIME['nwmode'] && $NW_RUNTIME['nwmode'] != 'view') {
    echo '<td>&nbsp;</td></tr></table><p>'.$NW_TRANSLATION['noposts_month_1'].$month_names[substr($NW_RUNTIME['newsmonth'],4)].' '.substr($NW_RUNTIME['newsmonth'],0,4).$NW_TRANSLATION['noposts_month_2'].'</p>';
  }
  else {
    echo '<td>&nbsp;</td></tr></table><p>'.$NW_TRANSLATION['noposts_lastdays_1'].$NWCONF_DISPLAY['max_days'].$NW_TRANSLATION['noposts_lastdays_2'].'</p>';
  }
}

// Nachricht entsprechend Vorlage news.tpl ausgeben:
function print_news($file_entries)
{
  global $NW_RUNTIME, $NWCONF_SYSTEM, $NWCONF_DISPLAY, $NWCONF_INTERFACE, $NW_TRANSLATION;

  if ($NW_RUNTIME['nwmode'] == 'edit') {
    $news_template = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'admin/news.tpl');
  }
  else {
    if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].$NW_RUNTIME['showtopic'].'/news.tpl'))
      $news_template = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].$NW_RUNTIME['showtopic'].'/news.tpl');
    else
      $news_template = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'default/news.tpl');
  }
  $news = $news_template;
  $filename = basename($file_entries['FILENAME']);

  while (list($key,$line) = each($news)) {
    if ($file_entries['TOPIC'] == 'all')
      $line = str_replace('[--TOPIC--]',$NW_TRANSLATION['topic_all'],$line);
    else
      $line = str_replace('[--TOPIC--]',$file_entries['TOPIC'],$line);
    $line = str_replace('[--SUBTOPIC--]',$file_entries['SUBTOPIC'],$line);
    $line = str_replace('[--TITLE--]','<a name="'.$filename.'">'.$file_entries['TITLE'].'</a>',$line);
    if ($file_entries['ARTICLE'])
      $line = str_replace('[--TITLE_LINKED--]','<a name="'.$filename.'"><a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$file_entries['ARTICLE'].'&showtopic='.$NW_RUNTIME['showtopic'].'" class="newstitle">'.$file_entries['TITLE'].'</a></a>',$line);
    else
      $line = str_replace('[--TITLE_LINKED--]','<a name="'.$filename.'">'.$file_entries['TITLE'].'</a>',$line);
    $line = str_replace('[--DATE--]',$file_entries['DATE'],$line);
    $line = str_replace('[--TIME--]',strftime('%H:%M',$filename),$line);
    if ($file_entries['CHANGEDDATE']) {
      $markchanged = str_replace('[--DATE--]',$file_entries['CHANGEDDATE'],$NW_TRANSLATION['news_markchanged']);
      $markchanged = str_replace('[--AUTHOR--]',$file_entries['CHANGEDBY'],$markchanged);
      $line = str_replace('[--CHANGED--]',$markchanged,$line);
    }
    else {
      $line = str_replace('[--CHANGED--]','',$line);
    }
    $line = str_replace('[--TEXT--]',$file_entries['TEXT'],$line);
    if ($file_entries['LINK'] && !$file_entries['ARTICLE'])
      $line = str_replace('[--LINK--]','['.$file_entries['LINK'].']',$line);
    elseif ($file_entries['ARTICLE'])
      $line = str_replace('[--LINK--]','<nobr><b>&gt;&gt;</b> <a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$file_entries['ARTICLE'].'&showtopic='.$NW_RUNTIME['showtopic'].'">'.$NW_TRANSLATION['show_more'].'</a></nobr>',$line);
    else
      $line = str_replace('[--LINK--]','',$line);
    if ($file_entries['URL'])
      $line = str_replace('[--AUTHOR--]','<a href="'.$file_entries['URL'].'">'.$file_entries['NAME'].'</a>',$line);
    elseif ($file_entries['EMAIL'])
      $line = str_replace('[--AUTHOR--]','<a href="mailto:'.$file_entries['EMAIL'].'">'.$file_entries['NAME'].'</a>',$line);
    else
      $line = str_replace('[--AUTHOR--]',$file_entries['NAME'],$line);
    if ($file_entries['IMAGE1']) {
      list($img1_url, $img1_align) = explode ('***',$file_entries['IMAGE1']);
      $img_tag = '<img src="'.$img1_url.'" border="0" alt="'.$file_entries['TITLE'].'" vspace="'.$NWCONF_DISPLAY['image_space'].'" hspace="'.$NWCONF_DISPLAY['image_space'].'"';
      if ($img1_align == 'ontop')
        $img_tag .= '><br clear="all">';
      else
        $img_tag .= ' align="'.$img1_align.'">';
      if ($file_entries['ARTICLE'])
        $img_tag = '<a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$file_entries['ARTICLE'].'">'.$img_tag.'</a>';
      $line = str_replace('[--IMAGE--]',$img_tag,$line);
    }
    else {
      $line = str_replace('[--IMAGE--]','',$line);
    }
    echo $line;
  }
}
?>