<?php
/*
 Newswriter v2.55
 PHP Newsmanagement System
 Copyright (C) 2000-2002 Philipp Wolfer

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the license, or
 (at your option) any later version.
 See license.txt for further information.

 text-out.inc.php, last change: 05.01.2002

 Functions for writing news data into text files:
  * ad_news()                      (line 22)
  * create_article()               (line 174)
  * del_news(string filename)      (line 193)
*/

// create/edit message file:
function ad_news()
{
  global $NW_FORMDATA, $NW_RUNTIME, $NWCONF_SYSTEM, $NWCONF_DISPLAY, $NWCONF_INTERFACE, $NWCONF_USERS;

  if (!$NW_FORMDATA['news_article'])
   $NW_FORMDATA['news_atext'] = false;

  if ($NW_FORMDATA['news_startdate'] && $NW_FORMDATA['make_newdate'] != 'true') {
    $NW_FORMDATA['make_newdate'] = true;
    $NW_FORMDATA['newdate_day'] = $NW_FORMDATA['startdate_day'];
    $NW_FORMDATA['newdate_month'] = $NW_FORMDATA['startdate_month'];
    $NW_FORMDATA['newdate_year'] = $NW_FORMDATA['startdate_year'];
  }

  if ($NW_FORMDATA['make_newdate'] == 'true') {
    $date = $NW_FORMDATA['newdate_day'].'.'.$NW_FORMDATA['newdate_month'].'.'.$NW_FORMDATA['newdate_year'];
    $NW_FORMDATA['news_date'] = $date;
    if ($NW_FORMDATA['file_name']) {
      unlink ($NW_FORMDATA['file_name']);
      $newdate_hour = strftime('%H',basename($NW_FORMDATA['file_name']));
      $newdate_min = strftime('%M',basename($NW_FORMDATA['file_name']));
    }
    else {
      $newdate_hour = strftime('%H',$NW_RUNTIME['act_timestamp']);
      $newdate_min = strftime('%M',$NW_RUNTIME['act_timestamp']);
    }
    $new_timestamp = mktime ($newdate_hour,$newdate_min,0,$NW_FORMDATA['newdate_month'],$NW_FORMDATA['newdate_day'],$NW_FORMDATA['newdate_year']);
    $month_dir = $NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['news_dir'].'/'.strftime('%Y%m',$new_timestamp);
    $NW_FORMDATA['file_name'] = $month_dir.'/'.$new_timestamp;
    while (@is_file($NW_FORMDATA['file_name'])) {
      $new_timestamp++;
      $NW_FORMDATA['file_name'] = $month_dir.'/'.$new_timestamp;
    }
    if ($NW_FORMDATA['afile_name']) {
      unlink ($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['article_dir'].'/'.$NW_FORMDATA['afile_name']);
      $NW_FORMDATA['afile_name'] = false;
    }
  }
  else {
    if ($NW_FORMDATA['news_date']) {
      $date = $NW_FORMDATA['news_date'];
    }
    else {
      $date = strftime($NWCONF_DISPLAY['date_fmt'], $NW_RUNTIME['act_timestamp']);
      $NW_FORMDATA['news_date'] = $date;
    }
  }

  if ($NW_FORMDATA['file_name']) {
    $changed_date = strftime($NWCONF_DISPLAY['date_fmt'],$NW_RUNTIME['act_timestamp']);
    $changed_by = $NWCONF_USERS['realname'][$NW_RUNTIME['nwlogin']];
  }

  /* Recover previously hidden quotes and prepare texts for output: */
  $NW_FORMDATA['news_title'] = add_quots($NW_FORMDATA['news_title']);
  $NW_FORMDATA['news_text'] = add_quots($NW_FORMDATA['news_text']);
  $NW_FORMDATA['news_subtopic'] = add_quots($NW_FORMDATA['news_subtopic']);
  $NW_FORMDATA['news_lname'] = add_quots($NW_FORMDATA['news_lname']);
  $NW_FORMDATA['img2_text'] = add_quots($NW_FORMDATA['img2_text']);
  $NW_FORMDATA['news_title'] = prepare_text($NW_FORMDATA['news_title']);
  $NW_FORMDATA['news_subtopic'] = prepare_text($NW_FORMDATA['news_subtopic']);
  $NW_FORMDATA['news_text'] = prepare_text($NW_FORMDATA['news_text']);
  $NW_FORMDATA['news_lname'] = prepare_text($NW_FORMDATA['news_lname']);
  $NW_FORMDATA['img2_text'] = prepare_text($NW_FORMDATA['img2_text']);
  if ($NWCONF_INTERFACE['allow_bbcode'] && $NW_FORMDATA['allow_bbcode'])
    $NW_FORMDATA['news_text'] = bbcode2html($NW_FORMDATA['news_text']);
  if ($NWCONF_INTERFACE['make_links'])
    $NW_FORMDATA['news_text'] = link_url($NW_FORMDATA['news_text']);

  $data = "DATE||".$date."||END\r\nTOPIC||".$NW_FORMDATA['news_topic']."||END\r\nTITLE||".$NW_FORMDATA['news_title']."||END\r\nTEXT||".$NW_FORMDATA['news_text']."||END\r\nNAME||".$NW_FORMDATA['news_name']."||END\r\n";
  if ($NW_FORMDATA['news_subtopic']) {
    $data .= "SUBTOPIC||".$NW_FORMDATA['news_subtopic']."||END\r\n";
  }
  if ($NW_FORMDATA['news_email']) {
    $data .= "EMAIL||".$NW_FORMDATA['news_email']."||END\r\n";
  }
  if ($NW_FORMDATA['news_nwurl']) {
    $data .= "URL||".$NW_FORMDATA['news_nwurl']."||END\r\n";
  }
  if ($NW_FORMDATA['news_link']) {
    if (!strstr($NW_FORMDATA['news_url'],'http://') && !strstr($NW_FORMDATA['news_url'],'ftp://') && strpos($NW_FORMDATA['news_url'],'/') != 0 && strpos($NW_FORMDATA['news_url'],'.') != 0) {
        $NW_FORMDATA['news_url'] = 'http://'.$NW_FORMDATA['news_url'];
    }
    $link_tag = '<a href="'.$NW_FORMDATA['news_url'].'"';
    if($NW_FORMDATA['news_lopenwin']) {
      $link_tag .= ' target="_blank"';
    }
    $link_tag .= '>'.$NW_FORMDATA['news_lname'].'</a>';
    $data .= "LINK||$link_tag||END\r\n";
  }
  if ($NW_FORMDATA['news_img1']) {
    $data .= "IMAGE1||".$NW_FORMDATA['img1_url']."***".$NW_FORMDATA['img1_align']."||END\r\n";
  }
  if ($NW_FORMDATA['news_atext']) {
    if ($NW_FORMDATA['news_img2']) {
      $data .= "IMAGE2||".$NW_FORMDATA['img2_url']."***".$NW_FORMDATA['img2_align']."||END\r\n";
      if ($NW_FORMDATA['img2_text'])
        $data .= "IMAGE2TEXT||".$NW_FORMDATA['img2_text']."||END\r\n";
    }

    if (!$NW_FORMDATA['afile_name']) {
      if ($NW_FORMDATA['file_name'])
        $NW_FORMDATA['afile_name'] = basename($NW_FORMDATA['file_name']).$NWCONF_SYSTEM['txt_ext'];
      else
        $NW_FORMDATA['afile_name'] = $NW_RUNTIME['act_timestamp'].$NWCONF_SYSTEM['txt_ext'];
    }
    $data .= "ARTICLE||".$NW_FORMDATA['afile_name']."||END\r\n";
  }
  if ($NW_FORMDATA['news_startdate']) {
    $startdate = mktime (0,0,0,$NW_FORMDATA['startdate_month'],$NW_FORMDATA['startdate_day'],$NW_FORMDATA['startdate_year']);
    $data .= "STARTDATE||$startdate||END\r\n";
  }
  if ($NW_FORMDATA['news_expire']) {
    $expiredate = mktime (0,0,0,$NW_FORMDATA['expiredate_month'],$NW_FORMDATA['expiredate_day'],$NW_FORMDATA['expiredate_year']);
    $data .= "EXPIRE||$expiredate||END\r\n";
  }
  if ($changed_date) {
    $data .= "CHANGEDDATE||$changed_date||END\r\nCHANGEDBY||$changed_by||END\r\n";
  }

  if ($NW_FORMDATA['file_name']) {
    if ($month_dir && !@is_dir($month_dir)) {
      $old_umask = umask(0);
      mkdir($month_dir, $NWCONF_SYSTEM['diraccess']);
      umask($old_umask);
    }
    $new_file = $NW_FORMDATA['file_name'];
  }
  else {
    $month_dir = $NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['news_dir'].'/'.strftime('%Y%m',$NW_RUNTIME['act_timestamp']);
    if (!@is_dir($month_dir)) {
      $old_umask = umask(0);
      mkdir($month_dir, $NWCONF_SYSTEM['diraccess']);
      umask($old_umask);
    }
    $new_file = $month_dir.'/'.$NW_RUNTIME['act_timestamp'];
  }

  $filehandle = fopen($new_file,'w');
  fputs($filehandle,$data);
  fclose($filehandle);

  if ($NW_FORMDATA['news_atext'])
    create_article();
  elseif (!$NW_FORMDATA['news_atext'] && $NW_FORMDATA['afile_name'])
    unlink ($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['article_dir'].'/'.$NW_FORMDATA['afile_name']);

  if (!$NW_FORMDATA['file_name'] && $NWCONF_INTERFACE['admin_infomail'])
    send_infomail();
}

// create article file:
function create_article()
{
  global $NWCONF_SYSTEM, $NWCONF_INTERFACE, $NW_FORMDATA;

  $NW_FORMDATA['news_atext'] = add_quots($NW_FORMDATA['news_atext']);
  $NW_FORMDATA['news_atext'] = prepare_text($NW_FORMDATA['news_atext']);
  if ($NWCONF_INTERFACE['allow_bbcode'] && $NW_FORMDATA['allow_bbcode'])
    $NW_FORMDATA['news_atext'] = bbcode2html($NW_FORMDATA['news_atext']);
  if ($NWCONF_INTERFACE['make_links'])
    $NW_FORMDATA['news_atext'] = link_url($NW_FORMDATA['news_atext']);

  $new_file = $NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['article_dir'].'/'.$NW_FORMDATA['afile_name'];

  $filehandle = fopen($new_file,'w');
  fputs($filehandle,$NW_FORMDATA['news_atext']);
  fclose($filehandle);
}

// delete message:
function del_news($file)
{
  global $NWCONF_SYSTEM;
  if(@is_file($file)) {
    $file_entries = get_filedata($file);
    if ($file_entries['ARTICLE'] && @is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['article_dir'].'/'.$file_entries['ARTICLE']))
      unlink($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['article_dir'].'/'.$file_entries['ARTICLE']);
    unlink($file);
  }
}
?>

